Subject: Re: bug#10980: GNU bugs information: logs for bug#10980

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Jun 2016 18:34:00 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Wed, 29 Jun 2016 11:26:04 -0400
> Cc: [email-masked], [email-masked]
> 
> >> But it seems we would then need 2 sets of functions: getenv/setenv and
> >> get-subproc-env/set-subproc-env (the latter working on
> >> Vprocess_environment only). This feels like a complication with not
> >> much benefit.
> >
> > We already have that: there's 'getenv' and 'egetenv' on the C level.
> > And the Lisp 'setenv' is already documented to modify
> > process-environment.  So I'm not sure I see the problem
> 
> What about a lisp program that expects (expand-file-name "~") and
> (getenv "HOME") to give the same results after running (setenv "HOME"
> <whatever>)

The changes in getenv_internal_1 (or, rather, in getenv_internal) that
I mentioned will have to make that happen.  It already does something
similar.